> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates the configuration settings of an existing questionnaire.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json patch /questionnaires/{id}
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /questionnaires/{id}:
    patch:
      tags:
        - Questionnaire
      summary: Updates the configuration settings of an existing questionnaire.
      parameters:
        - name: id
          in: path
          description: The unique identifier of the questionnaire to update.
          required: true
          schema:
            type: integer
            format: int32
      requestBody:
        description: >-
          The updated questionnaire configuration including retry settings and
          messaging.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateQuestionnaireDto'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdateQuestionnaireDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdateQuestionnaireDto'
      responses:
        '200':
          description: OK
        '204':
          description: Questionnaire updated successfully.
        '404':
          description: Questionnaire not found.
components:
  schemas:
    UpdateQuestionnaireDto:
      type: object
      properties:
        retryIntervalDays:
          type: integer
          format: int32
          nullable: true
        maxTries:
          type: integer
          format: int32
          nullable: true
        intervalBackOffMultiplier:
          type: integer
          format: int32
          nullable: true
        repeatIntervalDays:
          type: integer
          format: int32
          nullable: true
        firstMessage:
          type: string
          nullable: true
      additionalProperties: false

````